Hooks:PostHook(NewRaycastWeaponBase, "_update_stats_values", "HYBRID_KIT_NewRaycastWeaponBase:_update_stats_values", function (self, disallow_replenish)
    local custom_stats = managers.weapon_factory:get_custom_stats_from_weapon(self._factory_id, self._blueprint)
	for part_id, stats in pairs(custom_stats) do
		if stats.hybrid_mode_rof then
			self._hybrid_mode_rof = stats.hybrid_mode_rof
		end
		if stats.hybrid_mode_falloff_based_on then
			self._hybrid_mode_falloff_based_on = stats.hybrid_mode_falloff_based_on
		end
	end

    self:backup_falloff()
end)
